LibreOffice: XDump Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDump Interface Reference

Dump any UNOIDL value as a string. More...

`import <XDump.idl;`

Inheritance diagram for XDump:

## Public Member Functions
string | dumpValue ([in] any value)
| Dump a UNOIDL value as a string.
string | dumpAny ([in] any value)
| Dump the value of a UNOIDL ANY as a string.
string | dumpConstant ([in] string constantsGroup, [in] any value) raises (com::sun::star::lang::IllegalArgumentException)
| Dump a numeric UNOIDL value, interpreted relative to a UNOIDL constants group, as a string.

## Detailed Description

Dump any UNOIDL value as a string.

Mainly useful for logging and debugging purposes.

Since
  LibreOffice 7.6

## Member Function Documentation

## ◆ dumpAny()

string dumpAny | ( | [in] any | value | ) |

Dump the value of a UNOIDL ANY as a string.

This dumps the type and value of the given ANY.

Parameters

  value | any UNOIDL ANY

Returns
  a string representation of the given ANY

## ◆ dumpConstant()

string dumpConstant | ( | [in] string | constantsGroup,
|  | [in] any | value
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Dump a numeric UNOIDL value, interpreted relative to a UNOIDL constants group, as a string.

Parameters

  constantsGroup | the name (in dotted notation, as supported by /singletons/theTypeDescriptionManager) of a UNOIDL constants group
  value | a UNOIDL value of type BOOLEAN, BYTE, SHORT, UNSIGNED SHORT, LONG, UNSIGNED LONG, HYPER, UNSIGNED HYPER, FLOAT, or DOUBLE

Returns
  a string representation of the given numeric value

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the constantsGroup argument does not represent a UNOIDL constants group or the value argument is of wrong type

## ◆ dumpValue()

string dumpValue | ( | [in] any | value | ) |

Dump a UNOIDL value as a string.

This just dumps the value itself, without any further decoration.

Parameters

  value | any UNOIDL value

Returns
  a string representation of the given value

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XDump.idl